### Method

# Camel Folder get_message_flags

#### Declaration [src]

    guint32
    camel_folder_get_message_flags (
      CamelFolder* folder,
      const gchar* uid
    )

#### Description

No description available.

#### Parameters

`uid`

  Type: `const gchar*`

  The UID of a message in `folder`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `guint32`

The `CamelMessageFlags` that are set on the indicated message.